package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class DedicatedProcessorConfiguration {
    private Metadata metadata;
    private String desiredProcessors;
    private String maximumProcessors;
    private String minimumProcessors;

    public DedicatedProcessorConfiguration() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDesiredProcessors() {
        return desiredProcessors;
    }

    public void setDesiredProcessors(String desiredProcessors) {
        this.desiredProcessors = desiredProcessors;
    }

    public String getMaximumProcessors() {
        return maximumProcessors;
    }

    public void setMaximumProcessors(String maximumProcessors) {
        this.maximumProcessors = maximumProcessors;
    }

    public String getMinimumProcessors() {
        return minimumProcessors;
    }

    public void setMinimumProcessors(String minimumProcessors) {
        this.minimumProcessors = minimumProcessors;
    }
}
